

#include "User_Dri_main.h"

extern uint16 sendMessagelength;

void User_Dri_timer1ms(void)    //
{
    if (Uart.uarttimejishu <= 500)
    {
        Uart.uarttimejishu++;
    }
    
    if (Uart.Uart_Tmreset <= 5050)
    {
        Uart.Uart_Tmreset++;
    }
    
    if (Uart.Uart_Tmcomcyc <= 550)
    {
        Uart.Uart_Tmcomcyc++;
    }
    
    if (Uart.Uart_Recivetime <= 200)
    {
        Uart.Uart_Recivetime++;
    }
    
    if ((Uart.TxCnt >= (sendMessagelength - 1)) && (Uart.Uart_Recivetime >= 15))
    {
        Uart.Recive_Flag = 0;
    }
}




